Package org.apache.felix.gogo.runtime

# Class SyntaxError

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.felix.gogo.runtime.SyntaxError

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `EOFError`

public class SyntaxError extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SyntaxError(int line, int column, String message)`

## Method Summary

Modifier and Type
Method
Description
`int`
`column()`
`int`
`line()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SyntaxError

public SyntaxError(int line, int column, String message)

## Method Details

### column

public int column()

### line

public int line()